View Issue Details

IDProjectCategoryView StatusLast Update
0000148OpenMPT[All Projects] Feature Requestpublic2016-11-22 13:55
ReporterharbingerAssigned ToSaga Musix 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000148: More Comments Tab functionality
Description

Again this was posted before Issue Tracker came online for us, so i'm bringing this FR on board:

Would love to see a Comments box that sizes itself to the App window.

Would also like to able to introduce tab spaces into the text. (Or using Tab to add spaces if not possible.)

Would also like to use tab settings (like the Word ruler). Perhaps a font chooser for the track comments...

No need to make it a fancy word processor, but as i begin to notate my MPTMs for posterity, a little more flexibility would be useful.

Additional Information

Jojo responded that the text field is set up for perfect text alignment in Impulse Tracker, so an option (or on-page checkbox) would be required to turn off this default alignment.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2016-11-05 01:14

administrator   ~0002725

Last edited: 2016-11-05 01:19

View 3 revisions

  • Resizable comments: Added as part of fixing 0000873 (only in MPTM, to avoid legacy issues in IT files)
  • Tabs: As of r7341, the TAB key can now be used to emulate tabs with spaces ("soft tabs").
  • Font chooser: Already possible for a while.

Issue History

Date Modified Username Field Change
2011-07-01 18:23 harbinger New Issue
2016-11-05 01:14 Saga Musix Status new => resolved
2016-11-05 01:14 Saga Musix Resolution open => fixed
2016-11-05 01:14 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2016-11-05 01:14 Saga Musix Target Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2016-11-05 01:14 Saga Musix Note Added: 0002725
2016-11-05 01:14 Saga Musix Note Edited: 0002725 View Revisions
2016-11-05 01:19 Saga Musix Note Edited: 0002725 View Revisions
2016-11-22 13:55 Saga Musix Assigned To => Saga Musix